# $Revision: 1.44 $, $Date: 2002/02/23 02:17:45 $
Summary:	GNOME Objective C libraries
Summary(pl):	Biblioteki Objective C do GNOME
Name:		gnome-objc
Version:	1.0.40
Release:	7
License:	LGPL
Group:		X11/Applications
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-objc/%{name}-%{version}.tar.gz
Icon:		gnome-objc.gif
URL:		http://www.gnome.org/
Requires:	gtk+ >= 1.2.1
BuildRequires:	gcc-objc
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	gnome

%define		_prefix		/usr/X11R6

%description
Basic libraries you must have installed to use GNOME programs that are
built with Objective C.

GNOME is the GNU Network Object Model Environment. That's a fancy name
but really GNOME is a nice GUI desktop environment. It makes using
your computer easy, powerful, and easy to configure.

%description -l pl
Pakiet ten zawiera biblioteki Objective C do GNOME.

GNOME jest graficznym inferfejsem uytkownika atwym wkonfiguracji.
Uczyni z twojego komputera maszyn atw i przyjemn w obsudze.

%package devel
Summary:	Header filesc, etc to develop Objective C GNOME applications
Summary(pl):	Pliki nagwkowe i dokumentacja do Objective C GNOME
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	gcc-objc

%description devel
Libraries, include files, etc you can use to develop Objective C GNOME
applications.

%description devel -l pl
Pliki nagwkowe itp. Jednym sowem wszystko czego potrzebujesz aby
samemu tworzy aplikacje GNOME z uyciem Objective C.

%package static
Summary:	Static ibraries Objective C GNOME applications
Summary(pl):	Biblioteki statyczne do Objective C GNOME
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libraries to develop Objective C GNOME applications.

%description static -l pl
Biblioteki statyczne do Objective C GNOME.

%prep
%setup -q

%build
OBJC="%{__cc}"; export OBJC
gettextize --copy --force
aclocal -I macros
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf AUTHORS ChangeLog NEWS README

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc *gz
%attr(755,root,root) %{_bindir}/obgnome-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/*.sh
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnome-objc.spec,v $
Revision 1.44  2002/02/23 02:17:45  kloczek
- adapterized.

Revision 1.43  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.42  2002/02/03 20:48:37  ankry
- adding es/pt/pt_BR Group translations

Revision 1.41  2002/01/18 02:13:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.40  2001/10/10 15:04:31  qboosh
- adapterized, BuildRequires: automake

Revision 1.39  2001/09/19 13:17:15  ankry
- modified source URL as ftp.gnome.org changed path (%#$%*&)

Revision 1.38  2001/08/12 21:47:16  blues
- release 7
- configure2_13 used

Revision 1.37  2001/03/03 14:33:53  kloczek
- release 6: rebuild on new gnome-libs linked with audiofile 0.2.1.

Revision 1.36  2000/10/29 13:52:01  kloczek
- relese 5: added "Requires: gcc-objc" for devel subpackage.

Revision 1.35  2000/10/29 10:04:56  kloczek
- back to OBJC="%%{__cc}".

Revision 1.34  2000/10/29 09:55:34  kloczek
- added gcc-objc to BuildRequires.

Revision 1.33  2000/10/27 07:30:49  kloczek
- pass OBJC="%%{__cc}" into autoconf enviroment.

Revision 1.32  2000/10/27 07:23:39  kloczek
- release 4,
- use new rpm automation,
- rebuild against gnome-libs linked with db3.

Revision 1.31  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.30  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.29  2000/05/16 20:51:41  kloczek
- spec adapterized.

Revision 1.28  2000/04/01 11:14:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.27  2000/03/28 16:54:20  baggins
- translated kloczkish into english

Revision 1.26  2000/01/28 20:16:41  kloczek
- release 3,
- spec adapterized,
- recompiled in new enviroment with libesd not depends on liasound.

Revision 1.25  1999/10/03 08:49:38  wiget
- fixed %%attr

Revision 1.24  1999/09/30 11:28:52  kloczek
- updated to 1.0.40,
- more rpm macros,
- added lib*.la files to devel.

Revision 1.23  1999/07/20 12:48:07  wiget
- switch to rpm 3.0.2

Revision 1.22  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jun 06 1999 Jan Rkorajski <baggins@pld.org.pl>
  [1.0.2-4]
- requires gtk+ >= 1.2.1
- added find_lang macro

* Tue Apr 27 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.0.2-3]
- changed group in devel and static to X11/GNOME/Development/Libraries,
- "gettextize --copy --force" on top %install insteead
  gnome-objc-DESTDIR.patch.

* Mon Mar 29 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.0.2-1]
- added ru locale,
- added pl translation,
- gzipping %doc,
- %doc moved to devel.

* Wed Jan 06 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.99.1-1]
- added LDFLAGS="-s" to ./configure enviroment,
- dome updates in %files.

* Fri Sep 18 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.27-2]
- added package Icon,
- changed prefix to /usr/X11R6.
